<?
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/zag.php");
include_once("include/ini.php");
include_once("include/sesi.php");
if (isset($user)) {
include_once("include/udata.php");
switch($go) {

default:

if(!@file("MySql/base123/ali/$log.dat")){
echo"<small>
Добро пожаловать!<br/>
Чтобы создать альянс вам нужно 1000000 аден и 500000 опыта.<br/>
<a href=\"ali.php?$sd&go=name\">Создать альянс</a></small>";}else{

$text = @file("MySql/base123/ali/$log.dat");
$clan = explode(":||:",$text[0]);

echo"<small>Добро пожаловать!<br/>
Имя альянса: <b>$clan[1]</b><br/><br/>
<a href=\"ali.php?$sd&go=toclan\">Взять клан</a><br/>
<a href=\"ali.php?$sd&go=list\">Список кланов</a><br/>
<a href=\"ali.php?$sd&go=delali\">Удалить альянс</a>
</small>";

}

break;

case 'create':

if(!@file("MySql/base123/clan/$log.dat")){echo"<small>У вас нет клана!</small>";include_once"include/down.php"; exit; }
if($udata[8]<"1000000"){echo"<small>У вас недостаточно денег!</small>";include_once"include/down.php"; exit; }
if($udata[19]<"500000"){echo"<small>У вас недостаточно опыта!</small>";include_once"include/down.php"; exit; }

if ($name == "" || strlen($name) > 11 || strlen($name) < 3) { echo"Название альянса не должно быть более 11 букв и не менее 3."; echo "</p></card></wml>"; exit;}

$name = htmlspecialchars(stripslashes($name));

$text=$log.':||:'.$name.':||::||:';

$fp=fopen("MySql/base123/ali/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
$fp=fopen("MySql/base123/ali/clans/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$udata[19]=round($udata[19]-500000);

$udata[8]=round($udata[8]-1000000);

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small>Альянс успешно создан!</small>";

break;

case 'name':
if(!@file("MySql/base123/clan/$log.dat")){echo"<small>У вас нет клана!</small>";include_once"include/down.php"; exit; }
if($udata[8]<"1000000"){echo"<small>У вас недостаточно денег!</small>";include_once"include/down.php"; exit; }
if($udata[19]<"500000"){echo"<small>У вас недостаточно опыта!</small>";include_once"include/down.php"; exit; }

echo "<form action=\"ali.php?go=go&".$sd."&go=create\" method=\"post\"><small>$log ведите названи алянса:</small><br/>";
echo "<input name=\"name\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input type="submit" value="Создать" /></form>';

break;

case 'toclan':



if(!@file("MySql/base123/ali/$log.dat")){echo"<small>У вас нет альянса!</small>"; include_once"include/down.php"; exit; }


echo "<form action=\"ali.php?go=go&".$sd."&go=tocreate\" method=\"post\"><small>Введите ник главы клана:</small><br/>";
echo "<input name=\"name\" value=\"$(name)\"/><br/>";
echo '<input type="submit" value="Создать" /></form>';

break;
case 'tocreate':

if(!@file("MySql/base123/ali/$log.dat")){echo"<small>У вас нет альянса!</small>"; include_once"include/down.php"; exit; }

if(!@file("MySql/base123/reg/$name.dat")){echo"<small>Такого игрока нет.</small>"; include_once"include/down.php"; exit; }

if(!@file("MySql/base123/clan/$name.dat")){echo"<small>У этого игрока нет клана.</small>"; include_once"include/down.php"; exit; }


if(@file("MySql/base123/ali/names/$name.dat")){echo"<small>Этот клан состоит в другом альянсе.</small>";  include_once"include/down.php"; exit;}

$name = htmlspecialchars(stripslashes($name));


$text=$log.':||:'.$name.':||:';

$fp=fopen("MySql/base123/ali/tmp/$name.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"<small>Предложение отослано!</small>";

break;

case 'ok':

$uzer = htmlspecialchars(stripslashes($uzer));

if(!@file("MySql/base123/ali/$uzer.dat")){echo"<small>Такого альянса не существует.</small>";
include_once"include/down.php"; exit; }

if(@file("MySql/base123/ali/names/$log.dat")){echo"<small>Вы в альянсе! Вы не можете вступить в еще один.</small>";
include_once"include/down.php"; exit; }

$text='|'.$log.'';

$fp=fopen("MySql/base123/ali/clans/$uzer.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=fopen("MySql/base123/ali/names/$log.dat","w");
flock($fp,LOCK_EX);
fputs($fp,"$uzer|\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

@unlink ("MySql/base123/ali/tmp/$log.dat");

echo"<small>Вы успешно вступили в альянс!</small>";

break;

case 'del':

unlink ("MySql/base123/ali/tmp/$log.dat");

echo"<small>Вы отказались.</small>";

break;

case 'list':

if(@file("MySql/base123/ali/clans/$log.dat")){

echo"<small>Нажмите на ник чтобы выгнать из альянса.</small><br/>";
$file = @file("MySql/base123/ali/clans/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/ali/clans/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

$file = @file("MySql/base123/clan/$data[1].dat");
$data2 = explode(":||:",$file[0]);

echo"<small><a href=\"ali.php?$sd&go=out2&name=$data[1]\">$data[1]</a> - $data2[1]</small><br/>";
}

if($total=="0"){echo"<small>В альянсе никого нет.</small>";}
}else{echo"<small>В клане альянсе никого нет.</small>";}

if ($start != 0) {echo '<a href="ali.php?start='.($start - 10).'&'.$sd.'&go=list">Назад</a> ';}

if ($total > $start + 10) {echo ' <a href="ali.php?start='.($start + 10).'&log='.$log.'&pas='.$pas.'&go=list">Далее</a>';}




break;

case 'out':
if(@file("MySql/base123/ali/$log.dat")){echo"<small>Вы лидер альянса поетому неможете выйти с нево.</small>"; include_once"include/down.php"; exit;}
if($udata[23]!==$log){echo"<small>У вас нет прав на выход из альянса.</small>"; include_once"include/down.php"; exit;}
if(!@file("MySql/base123/ali/names/$log.dat")){echo"<small>Вы не в альянсе.</small>"; include_once"include/down.php"; exit;}

@unlink("MySql/base123/ali/names/$log.dat");
echo"<small>Вы вышли из альянса.</small>";



break;

case 'out2':

if(!@file("MySql/base123/ali/$log.dat")){echo"<small>Вы не в альянсе.</small>"; include_once"include/down.php"; exit;}
$name=htmlspecialchars(stripslashes(addslashes(trim($name))));

$fak = @file("MySql/base123/ali/clans/$log.dat");
$total=count($fak);
for($i=0; $i<$total; $i++){
$data = explode("|",$fak[$i]);

if(trim($data[1])==trim($name)){

$file=file("MySql/base123/ali/clans/$log.dat");

$fp=fopen("MySql/base123/ali/clans/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

@unlink("MySql/base123/ali/names/$name.dat");
echo"<small>$name выгнан из альянса</small>";
}
}




break;
case 'delali':
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){
$file = @file("MySql/base123/ali/clans/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);
$id=$total-$i-1;
$data[1]=trim($data[1]);
@unlink ("MySql/base123/ali/names/$data[1].dat");
@unlink ("MySql/base123/ali/$login.dat");
@unlink ("MySql/base123/ali/bank/$login.dat");
@unlink ("MySql/base123/ali/chat/$login.dat");
@unlink ("MySql/base123/ali/clans/$login.dat");
@unlink ("MySql/base123/ali/desk/$login.dat");
@unlink ("MySql/base123/ali/logs/$login.dat");
@unlink ("MySql/base123/ali/names/$login.dat");
@unlink ("MySql/base123/ali/site/$login.dat");
@unlink ("MySql/base123/ali/tmp/$login.dat");}
echo"Альянс успешно удалён";
}}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

